## Interface Swift_StreamFilter

(line 16)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/StreamFilter.php

##### Processes bytes as they pass through a stream and performs filtering.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
mixed filter (mixed $buffer)
boolean shouldBuffer (mixed $buffer)

#### Method filter (line 31)

#### mixed filter( mixed $buffer)

##### Filters $buffer and returns the changes.

#### Parameters

- mixed $buffer:

#### Info

- access - public

#### Method shouldBuffer (line 24)

#### boolean shouldBuffer( mixed $buffer)

##### Based on the buffer given, this returns true if more buffering is needed.

#### Parameters

- mixed $buffer:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3